import 'package:flutter/material.dart';

class PageSubTitle extends StatelessWidget {
  final String text;

  PageSubTitle({@required this.text});

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.only(left: 56.0),
      alignment: Alignment.centerLeft,
      child: Text(text,
        style: Theme.of(context).textTheme.subtitle1
          .merge(TextStyle(fontSize: 16.0))
      )
    );
  }
}
