import 'package:equatable/equatable.dart';
import 'package:meta/meta.dart';

class Unit extends Equatable {
  final String id;
  final String title;
  final String abbr;

  Unit({
    @required this.id,
    @required this.title, 
    @required this.abbr
  });

  @override
  List<Object> get props => [id, title, abbr];
}
