import 'package:equatable/equatable.dart';
import 'package:meta/meta.dart';
import 'package:vegigo2_ui_common/entities/product/unit.dart';

class UnitPriceMapping extends Equatable {
  final String id;
  final Unit unit;
  final double magnitude;
  final double price;
  final int maxQuantity;
  final double savings;
  final double discountedPrice;
  final bool isDefault;

  UnitPriceMapping({
    @required this.id,
    @required this.unit,
    @required this.magnitude,
    @required this.price,
    @required this.maxQuantity,
    @required this.savings,
    @required this.discountedPrice,
    @required this.isDefault
  });

  @override
  List<Object> get props => [id, unit, magnitude, price, maxQuantity, savings, discountedPrice, isDefault];
}
